

class Cube:
    def __init__(self):
        #posiciones del cubo por caras
        self.posicion = """         
                                U1 U2 U3
                                U4 U5 U6
                                U7 U8 U9
                                
                      L1 L2 L3  F1 F2 F3  R1 R2 R3  B1 B2 B3   
                      L4 L5 L6  F4 F5 F6  R4 R5 R6  B4 B5 B6   
                      L7 L8 L9  F7 F8 F9  R1 R8 R9  B7 B8 B9       
                                
                                D1 D2 D3 
                                D4 D5 D6 
                                D7 D8 D9 
        """
        #posiciones del cubo por esquinas y aristas
        self.posCE = """
                                
                               U5
                                     
                  ULB UL   UFL UF URF  UR UBR   UB
                  BL  L5   FL  F6 FR   R5 BR    B5   
                  DBL DL   DLF DF DFR  DR DRB   DB   
                                 
                               D5 
        """
        
            
        #definimos 8 objetos de tipo Corner
        self.corner =  (URF,UFL,ULB,UBR,DFR,DLF,DBL,DRB)

        #definimos 12 objetos de tipo edge
        self.edge = (UR,UF,UL,UB,DR,DF,DL,DB,FR,FL,BL,BR) 

        #definimos 54 objetos caras(pegatinas vamos :P)
        self.facelet = (U1,U2,U3,U4,U5,U6,U7,U8,U9,R1,R2,R3,R4,R5,R6,R7,R8,R9,\
                        F1,F2,F3,F4,F5,F6,F7,F8,F9,D1,D2,D3,D4,D5,D6,D7,D8,D9,\ 
                        L1,L2,L3,L4,L5,L6,L7,L8,L9,B1,B2,B3,B4,B5,B6,B7,B8,B9) 

        #definimos 6 objetos movimiento 
        self.move = (U, D, L, R, F, B) 

        #Todas las simetrias del cubo son composicion de estas 4 simetrías básicas
        self.basicSym = (S_URF3, S_F2, S_U4, S_LR2)  
               

        
ccc = Cube()
